Subject: RE: on NAT-PT

From: <[email-masked]>
Date: Wed, 22 Jan 2003 07:46:12 -0800

Hi Pekka,

> Of course, but the situation is no worse than it currently 
> is; if we want
> to make it better, the right solution is pushing for upgrading the end
> nodes you're connecting to and use IPv6.
> 

I certainly do think you are right! I think the IMS + translator case can be just a transition case to a limited number of IPv4 legacy nodes. 

> (I have argued this could be done for the IMS case too, but 
> apparently the 
> deployment base of IPv4 VoIP phones etc. which can't be 
> upgraded is larger 
> than I expected.)

The priority number one is to get the end nodes upgraded to IPv6, and the interworking case would be used _only_ when really necessary.

Cheers,

Jonne.

> Pekka
> 
> > -----Original Message-----
> > From: ext Pekka Savola [mailto:[email-masked]]
> > Sent: 22 January, 2003 11:42
> > 
> > However, the issue I believe Margaret (and others) are 
> trying to get to 
> > is, is translation (=NAT-PT) really required for _other_ 
> services than the 
> > IPv6-only IMS.
> > 
> > That is, say, web browsing on a 3GPP device.  Or running 
> IMAP to check
> > mails.  Connecting your laptop to the 3GPP device.  Or whatever.
> > 
> > For these, I believe, the answer is "no, you could get an 
> IPv4 PDP context
> > for them without problem and avoid translation".  Right?
> > 
> 
> -- 
> Pekka Savola                 "You each name yourselves king, yet the
> Netcore Oy                    kingdom bleeds."
> Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings
> 
>